Bug 443375 - Review Request: python-openhpi - Python interface for OpenHPI
Review Request: python-openhpi - Python interface for OpenHPI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 04:58 EDT by Dan Horák
Modified: 2008-04-30 13:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 06:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-04-21 04:58:45 EDT
Spec URL: http://fedora.danny.cz/py-openhpi.spec
SRPM URL: http://fedora.danny.cz/py-openhpi-1.1-1.fc9.src.rpm
Description:
An extension module that makes it possible to access
HPI api functions and structures from the Python language.

It supports everything that is exposed through SaHpi.h,
SaHpiAtca.h, SaHpiBladeCenter.h, oHpi.h, and oh_utils.h.
Comment 1 Dan Horák 2008-04-23 04:33:57 EDT
scratch build = http://koji.fedoraproject.org/koji/taskinfo?taskID=577485
Comment 2 Richard W.M. Jones 2008-04-25 10:41:07 EDT
+ rpmlint output
  no output
? package name satisfies the packaging naming guidelines

  I'm dubious about naming the package 'py-openhpi' even though
  strictly speaking this doesn't violate any Python guideline.
  I would rename it python-openhpi instead just for consistency
  with other Python packages in Fedora.

+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
  i386
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
n/a does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
  (but ok coz built in koji)
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

===============

APPROVED

However please consider renaming the package to python-openhpi.
Comment 3 Dan Horák 2008-04-25 12:08:59 EDT
The package name was a question for me too. So I will rename it and when
somebody will require the upstream name, it can be easily added as Provides.

Thanks for the review.
Comment 4 Dan Horák 2008-04-25 12:12:17 EDT
New Package CVS Request
=======================
Package Name: python-openhpi
Short Description: Python interface for OpenHPI
Owners: sharkcz
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Tom "spot" Callaway 2008-04-25 14:54:12 EDT
cvs done.
Comment 6 Dan Horák 2008-04-28 06:42:01 EDT
imported and built in devel
Comment 7 Dan Horák 2008-04-30 04:34:01 EDT
Package Change Request
======================
Package Name: python-openhpi
New Branches: EL-5
Comment 8 Kevin Fenzi 2008-04-30 13:00:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.